var KEY_ALTA="KEY_ALTA";

var KEY_MODIFICACION="KEY_MODIFICACION";

var KEY_BAJA="KEY_BAJA";

//var KEY_VOLVER="KEY_VOLVER";

var KEY_FILTRAR="KEY_FILTRAR";

var KEY_CONSULTA="KEY_CONSULTA";

var KEY_FILTRO="KEY_FILTRO";

var KEY_OFICINAS="KEY_OFICINAS";

var FILTRO="FILTRO";





function ponAccion(key){

	if(key==KEY_ALTA){

		document.forms["formListadoInformantes"].elements["inicio"].value="";

		submmitFormulario(key);

	}

	else if (key==KEY_MODIFICACION){

		submmitFormulario(key);

		

	}

	else if (key==KEY_BAJA){

		if(confirm(msgBorrar))

			submmitFormulario(key);

	}

	/*else if (key==KEY_VOLVER){

		if(document.forms["formListadoInformantes"].elements["inicio"].value == "")

			submmitFormulario(KEY_OFICINAS)	

		else submmitFormulario(KEY_FILTRO);

		

	}*/

	else if (key==KEY_FILTRAR){

		submmitFormulario(KEY_FILTRO);

	}

	else if (key==KEY_CONSULTA){

		submmitFormulario(key);

	}

}



function submmitFormulario(key){

	document.forms["formListadoInformantes"].accion.value=key;

	document.forms["formListadoInformantes"].submit();

}



function onLoadPage() {	



	if(document.forms[0].idInformante!=null) {

		if(document.forms[0].idInformante.length == undefined){ //solo hay uno

			document.forms[0].idInformante.checked=true;

		}else{

			document.forms[0].idInformante[0].checked=true;

		}

		document.forms["formListadoInformantes"].borrar.disabled=false;

		document.forms["formListadoInformantes"].modificacion.disabled=false;

		document.forms["formListadoInformantes"].consulta.disabled=false;

	} else {

		document.forms["formListadoInformantes"].borrar.disabled=true;

		document.forms["formListadoInformantes"].modificacion.disabled=true;

		document.forms["formListadoInformantes"].consulta.disabled=true;

	}



	if(document.forms[0].idInformante!=null && document.forms[0].idInformante.length != undefined)

		document.forms[0].idInformante[0].focus();

	else document.forms["formListadoInformantes"].alta.focus();

}